summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Michael Johnson <youngmug@animeneko.net>2010-05-11 22:55:28 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:55:28 +0200
commita1c01b57a34588a04b23c5c7b43f299f8e2f10ef (patch)
treecc128a3e14e92649b09a78beab4592a484e565a9
parent489a7e9c0ad15c6ccab91776a15757979faa73fa (diff)
downloadslackbuilds-a1c01b57a34588a04b23c5c7b43f299f8e2f10ef.tar.gz
slackbuilds-a1c01b57a34588a04b23c5c7b43f299f8e2f10ef.tar.xz
system/rkhunter: Added to 12.1 repository
-rw-r--r--system/rkhunter/README10
-rw-r--r--system/rkhunter/doinst.sh14
-rw-r--r--system/rkhunter/install_path_fix.diff.gzbin0 -> 353 bytes
-rw-r--r--system/rkhunter/rkhunter.SlackBuild81
-rw-r--r--system/rkhunter/rkhunter.info8
-rw-r--r--system/rkhunter/slack-desc19
6 files changed, 132 insertions, 0 deletions
diff --git a/system/rkhunter/README b/system/rkhunter/README
new file mode 100644
index 0000000000..08c444a425
--- /dev/null
+++ b/system/rkhunter/README
@@ -0,0 +1,10 @@
+RKHunter - A Security monitoring and analyzing tool
+
+RKHunter is a scanning tool that scans for rootkits, backdoors, and
+local exploits by running tests like:
+
+MD5 hash comparison, known rootkit files, incorrect permissions on
+binaries, suspect strings in LKM and LKD modules, and hidden files
+
+Rootkit Hunter is released as a GPL licensed project and is free for
+everyone to use.
diff --git a/system/rkhunter/doinst.sh b/system/rkhunter/doinst.sh
new file mode 100644
index 0000000000..9a82df242e
--- /dev/null
+++ b/system/rkhunter/doinst.sh
@@ -0,0 +1,14 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/rkhunter.conf.new
diff --git a/system/rkhunter/install_path_fix.diff.gz b/system/rkhunter/install_path_fix.diff.gz
new file mode 100644
index 0000000000..94f07b7d1f
--- /dev/null
+++ b/system/rkhunter/install_path_fix.diff.gz
Binary files differ
diff --git a/system/rkhunter/rkhunter.SlackBuild b/system/rkhunter/rkhunter.SlackBuild
new file mode 100644
index 0000000000..5f3dd5c484
--- /dev/null
+++ b/system/rkhunter/rkhunter.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for Rootkit Hunter
+
+# Written by Michael Johnson (youngmug@animeneko.net)
+
+PRGNAM=rkhunter
+VERSION=${VERSION:-1.3.2}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+#Patch installer.sh to fix paths for Slackware (we don't use /usr/local, and we don't use /usr/share)
+zcat $CWD/install_path_fix.diff.gz | patch -p0 --verbose
+
+#Set the installer to build in our package directory
+#Yes, this isn't an RPM, but it was the easiest way to get pathing working correctly
+RPM_BUILD_ROOT=$PKG \
+./installer.sh \
+ --layout RPM \
+ --install
+
+#We don't want the manpages or docs in /usr/share, we want them in /usr
+( cd $PKG
+ mv usr/share/* usr
+ rmdir usr/share
+)
+
+#We don't want /usr/var, we want /var
+( cd $PKG
+ mv usr/var .
+)
+
+# Compress man pages
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+# Copy SlackBuild script to documentation directory
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Don't clobber existing config file.
+mv $PKG/etc/rkhunter.conf $PKG/etc/rkhunter.conf.new
+
+# Copy the slack-desc into ./install
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+# Make the package
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/rkhunter/rkhunter.info b/system/rkhunter/rkhunter.info
new file mode 100644
index 0000000000..bd0606e4c9
--- /dev/null
+++ b/system/rkhunter/rkhunter.info
@@ -0,0 +1,8 @@
+PRGNAM="rkhunter"
+VERSION="1.3.2"
+HOMEPAGE="http://rootkit.nl/projects/rootkit_hunter.html"
+DOWNLOAD="http://downloads.sourceforge.net/rkhunter/rkhunter-1.3.2.tar.gz"
+MD5SUM="a00ff64d7076d6ff47ef0c9f0b6202f2"
+MAINTAINER="Michael Johnson"
+EMAIL="youngmug@animeneko.net"
+APPROVED="David Somero"
diff --git a/system/rkhunter/slack-desc b/system/rkhunter/slack-desc
new file mode 100644
index 0000000000..76a5fc9aa3
--- /dev/null
+++ b/system/rkhunter/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+rkhunter: rkhunter (security monitoring and analyzing tool)
+rkhunter:
+rkhunter: RKHunter is a scanning tool that scans for rootkits, backdoors, and
+rkhunter: local exploits by running tests like:
+rkhunter:
+rkhunter: MD5 hash comparison, known rootkit files, incorrect permissions on
+rkhunter: binaries, suspect strings in LKM and LKD modules, and hidden files
+rkhunter:
+rkhunter: Rootkit Hunter is released as a GPL licensed project and is free for
+rkhunter: everyone to use.
+rkhunter: